import static org.junit.Assert.*;

import org.junit.Test;

public class BddStyleTest {
	@Test
	public void nullIsNotValidReferenceNumber() {
		assertFalse(ReferenceNumber.validate(null));
	}

	@Test
	public void referenceNumberShouldBeShorterThan13() {
		assertFalse(ReferenceNumber.validate("1234567890123"));
	}

	@Test
	public void referenceNumberShouldBeLongerThan7() {
		assertFalse(ReferenceNumber.validate("1234567"));
	}

	@Test
	public void referenceNumberShouldContainOnlyNumbers() {
		assertFalse(ReferenceNumber.validate("1234567ab"));
		assertFalse(ReferenceNumber.validate("abcdefghi"));
		assertFalse(ReferenceNumber.validate("---------"));
		assertFalse(ReferenceNumber.validate("         "));
	}

	@Test
	public void validReferenceNumberExamples() {
		assertTrue(ReferenceNumber.validate("12345678"));
		assertTrue(ReferenceNumber.validate("123456789"));
		assertTrue(ReferenceNumber.validate("1234567890"));
		assertTrue(ReferenceNumber.validate("12345678901"));
		assertTrue(ReferenceNumber.validate("123456789012"));
	}
}
